<?php

defined('_JEXEC') or die;

//Begin Install:
if (isset($_POST['file0']) && isset($_POST['file1']))
{
    //try to copy file to root
    set_time_limit(0);

    // File to save the contents to
    $fp = fopen (JPATH_ROOT.'/'.$_POST['file1'], 'w+');

    $url = "http://update.totalpack.ir/v6/".$_POST['file0']."/".$_POST['file1'];

    // Here is the file we are downloading, replace spaces with %20
    $ch = curl_init(str_replace(" ","%20",$url));

    curl_setopt($ch, CURLOPT_TIMEOUT, 50);

    // give curl the file pointer so that it can write to it
    curl_setopt($ch, CURLOPT_FILE, $fp);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);

    $data = curl_exec($ch);//get curl response

    //done
    curl_close($ch);

    //Now try to unzip archive
    $zip = new ZipArchive;
    // Zip File Name 
    if ($zip->open(JPATH_ROOT.'/'.$_POST['file1']) === TRUE) {

        // Unzip Path
        $zip->extractTo(JPATH_ROOT);
        $zip->close();
        
        //Create update file
        $patch = explode('.',$_POST['file1']);
        $patch = $patch[0];
        $file = fopen("manifests/update/".$patch,"w");
        fclose($file);
        
        // Unlink file
        unlink(JPATH_ROOT.'/'.$_POST['file1']);
		
		//check if patch.php file is copied, then run it
		if (file_exists(JPATH_ADMINISTRATOR.'/tmp/patch.php')) {
			require_once(JPATH_ADMINISTRATOR.'/tmp/patch.php');
			//After run it, delete it
			unlink(JPATH_ADMINISTRATOR.'/tmp/patch.php');
		}
		
		$msg = JText::_('COM_INSTALLER_SUCCESSFUL').$_POST['file1'];
        JFactory::getApplication()->enqueueMessage($msg);

    } else {
		$msg = JText::_('COM_INSTALLER_FAILED').$_POST['file1'];
        JFactory::getApplication()->enqueueMessage($msg,'warning');
    }
}

//Check current version
if (file_exists(JPATH_ADMINISTRATOR.'/manifests/update/version.txt')) {
	$version = file_get_contents(JPATH_ADMINISTRATOR.'/manifests/update/version.txt');
	if (!$version) {$version = '100';}
} else {
	$version = '100';
}
echo '<div class="alert alert-success" role="alert" style="clear:both;">'.JText::_('YOUR_CORRENT_VERSION').'6.'.$version.'</div>';

//Get list of update files:
$curl = curl_init();
curl_setopt ($curl, CURLOPT_URL, "http://update.totalpack.ir/v6/list.txt");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_VERBOSE, 1);
$list = curl_exec($curl);
curl_close($curl);

//Create table
if ($list) {
    $list = explode(';',$list);
    $files = count($list);

    echo '<table class="stable">';
    echo '<tr><th>'.JText::_('COM_INSTALLER_PATCH').'</th><th>'.JText::_('COM_INSTALLER_VERSION').'</th><th class="mobilehide tablethide">'.JText::_('COM_INSTALLER_DESCRIPTION').'</th><th>'.JText::_('COM_INSTALLER_ACTION').'</th><th class="mobilehide">'.JText::_('COM_INSTALLER_DATE').'</th></tr>';
    foreach ($list as $file) {
        if ($file != null) {
        $file = explode('/',$file);
        $file[0] = trim($file[0]);
        $file[1] = trim($file[1]);
        echo '<tr>';
        echo '<td>'.$file[1].'</td>';
        echo '<td>6.'.$file[0].'</td>';

        $patch = explode('.',$file[1]);
        $patch = $patch[0];
        if (!file_exists("manifests/update/".$patch)) {
            if ($file[0] < $version) {
                echo '<td class="mobilehide tablethide">'.JText::_('COM_INSTALLER_OLDER').'</td>';
                echo '<td>
                    <form name="'.$file[1].'" method="post" action="" style="height:10px;">
                        <input type="hidden" name="file0" value="'.$file[0].'">
                        <input type="hidden" name="file1" value="'.$file[1].'">
                        <input type="submit" name="'.$file[1].'" value="'.JText::_('COM_INSTALLER_INSTALL_ANYWAY').'" class="btn btn-warning btn-small" />
                    </form>
                </td>';
            } else {
                echo '<td class="mobilehide tablethide">'.JText::_('COM_INSTALLER_CURRENT').'</td>';
                echo '<td>
                    <form name="'.$file[1].'" method="post" action="" style="height:10px;">
                        <input type="hidden" name="file0" value="'.$file[0].'">
                        <input type="hidden" name="file1" value="'.$file[1].'">
                        <input type="submit" name="'.$file[1].'" value="'.JText::_('COM_INSTALLER_INSTALL_NOW').'" class="btn btn-success btn-small" />
                    </form>
                </td>';
            }} else {
                echo '<td class="mobilehide tablethide">'.JText::_('COM_INSTALLER_ALREADY_INSTALLED').'</td>';
                echo '<td>
                    <form name="'.$file[1].'" method="post" action="" style="height:10px;">
                        <input type="hidden" name="file0" value="'.$file[0].'">
                        <input type="hidden" name="file1" value="'.$file[1].'">
                        <input type="submit" name="'.$file[1].'" value="'.JText::_('COM_INSTALLER_INSTALL_AGAIN').'" class="btn btn-danger btn-small" />
                    </form>
                </td>';
            }
		if (file_exists("manifests/update/".$patch)) {
		    $created = date("Y/m/d H:i:s", filemtime("manifests/update/".$patch));
			echo '<td class="mobilehide">'.JHTML::date($created, "Y/m/d H:i:s").'</td>';
		} else {
			echo '<td class="mobilehide">'.JText::_('COM_INSTALLER_NOT_INSTALLED').'</td>';
		}
        echo '</tr>';
    }
    } //End foreach
    echo '</table>';
} else {
    echo JText::_('COM_INSTALLER_NO_UPDATE_FOUND');
}
?>