<?php

defined('_JEXEC') or die('Restricted access');

class modCpanelInfoProHelper{
	function getList(&$params){
		
		function percent($num_amount, $num_total){
			$count1 = $num_amount / $num_total;
			$count2 = $count1 * 100;
			$count = number_format($count2, 0);
			return $count;
		}
		function size($size){
			$size = $size*1024*1024;
			$mb = 1024*1024;
			$gb = $mb * 1024;
			if ($size > $gb){
		$mysize = sprintf ("%01.2f", $size/$gb) . "<small> " . JText::_('MOD_CPANEL_INFO_PRO_SIZETYPE_GB') . "</small>";
			}elseif( $size > $mb AND $size <= $gb){
		$mysize = sprintf ("%01.2f", $size/$mb) . "<small> ".JText::_('MOD_CPANEL_INFO_PRO_SIZETYPE_MB')."</small>";
			}elseif( $size >= 1024 ){
		$mysize = sprintf ("%01.2f", $size/1024) . "<small> ".JText::_('MOD_CPANEL_INFO_PRO_SIZETYPE_KB')."</small>"; 
			}else{
		$mysize = $size . "<small>".JText::_('MOD_CPANEL_INFO_PRO_SIZETYPE_BYTES')."</small>";
			}
		return $mysize;
		}

		if ($_SERVER['SERVER_ADDR'] != 'localhost') {
		$ip			= '159.69.56.163'; //$_SERVER['SERVER_ADDR'];
		$account['username']	= 'username'; //$params->get('username');
		$account['password']	= 'password'; //$params->get('password');
		$port			= '2083'; // default is 2083 for cPanel, default is 2087 for WHM

		include("modules/mod_cpanel_info_pro/class.cpanel.php");
		$xmlapi = new xmlapi($ip);
		$xmlapi->password_auth( $account['username'], $account['password'] );
		$xmlapi->set_port($port);

		$args = array( 'display' => 'diskusage');
		$response = $xmlapi->api2_query( $account['username'], 'StatsBar', 'stat', $args );
		$response = json_encode($response); //S63 added
		
		//$spaceused = explode('<_count>',$response->asXML());
		$spaceused = explode('"_count\":\"',$response);
		//$spaceused = explode('</_count>',$spaceused[1]);
		$spaceused = explode('\",\"',$spaceused[1]);
		$spaceused = $spaceused[0];
		    if (!$spaceused) {$spaceused = 1024;}
		//$spacemax = explode('<_max>',$response->asXML());
		$spacemax = explode('"_max\":\"',$response);
		//$spacemax = explode('</_max>',$spacemax[1]);
		$spacemax = explode('\",\"',$spacemax[1]);
		$spacemax = $spacemax[0];
		    if (!$spacemax) {$spacemax = 2048;}
		$spacepercent = percent($spaceused, $spacemax);
		
		$args = array( 'display' => 'bandwidthusage');
		$response = $xmlapi->api2_query( $account['username'], 'StatsBar', 'stat', $args );
		$response = json_encode($response); //S63 added
		
		//$bandwidthused = explode('<_count>',$response->asXML());
		$bandwidthused = explode('"_count\":\"',$response);
		//$bandwidthused = explode('</_count>',$bandwidthused[1]);
		$bandwidthused = explode('\",\"',$bandwidthused[1]);
		$bandwidthused = $bandwidthused[0];
		    if (!$bandwidthused) {$bandwidthused = 100;}
		//$bandwidthmax = explode('<_max>',$response->asXML());
		$bandwidthmax = explode('"_max\":\"',$response);
		//$bandwidthmax = explode('</_max>',$bandwidthmax[1]);
		$bandwidthmax = explode('\",\"',$bandwidthmax[1]);
		$bandwidthmax = $bandwidthmax[0];
		    if (!$bandwidthmax) {$bandwidthmax = 10240;}
		$bandwidthpercent = percent($bandwidthused, $bandwidthmax);
		if ($bandwidthpercent < 1) {$bandwidthpercent = 1;}
		
		$lists->spaceused = size($spaceused);
		$lists->spacemax = size($spacemax);
		$lists->spacepercent = $spacepercent;
		$lists->bandwidthused = size($bandwidthused);
		$lists->bandwidthmax = size($bandwidthmax);
		$lists->bandwidthpercent = $bandwidthpercent;
		} else {
		$lists = array();
		$lists->spaceused = '1GMb';
		$lists->spacemax = '2Gb';
		$lists->spacepercent = '50';
		$lists->bandwidthused = '500Mb';
		$lists->bandwidthmax = '10Gb';
		$lists->bandwidthpercent = '5';
		}
		return $lists;
	}
}
?>