<?php
/**
 * @package Module EB Dark Mode for Joomla!
 * @version 1.3: mod_ebdarkmode.php Jun 2020
 * @author url: https://www/extnbakers.com
 * @copyright Copyright (C) 2020 extnbakers.com. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html 
**/
// No direct access
defined('_JEXEC') or die;

$mdl_path =  JURI::base().'modules/'.$module->module;
JHtml::stylesheet($mdl_path.'/assets/css/darkmood_style.css');
$module_id = $module->id;
$dm_btnpst = isset($darkmode['button_position'])?$darkmode['button_position']:'bottom_right';
$dm_dmclr = ($darkmode['darkmodecolor']!='')?$darkmode['darkmodecolor']:'#00151f';
$dm_txtclr = ($darkmode['contentcolor']!='')?$darkmode['contentcolor']:'#fff';
$dm_linkclr = ($darkmode['linkcolor']!='')?$darkmode['linkcolor']:'#4267B2';
$dm_btnimg = isset($darkmode['button_image'])?$darkmode['button_image']:'';

$cookie_ebdarkmode = isset($_COOKIE["ebdarkmode"])?$_COOKIE["ebdarkmode"]:'';

if($dm_btnimg == "style_1"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-1.png";
	$btn_clr = "red";
} else if($dm_btnimg == "style_2"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-2.png";
	$btn_clr = "yellow";
} else if($dm_btnimg == "style_3"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-3.png";
	$btn_clr = "lime";
} else if($dm_btnimg == "style_4"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-4.png";
	$btn_clr = "green";
} else if($dm_btnimg == "style_5"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-5.png";
	$btn_clr = "cyan";
} else if($dm_btnimg == "style_6"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-6.png";
	$btn_clr = "blue";
} else if($dm_btnimg == "style_7"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-7.png";
	$btn_clr = "magenta";
} else if($dm_btnimg == "style_8"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-8.png";
	$btn_clr = "grey";
} else if($dm_btnimg == "style_9"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-9.png";
	$btn_clr = "mint";
} else if($dm_btnimg == "style_10"){	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-10.png";
	$btn_clr = "lavender";
} else {	
	$btn_img = $mdl_path."/assets/images/eb_darkmoode-1.png";
	$btn_clr = "red";
}?>
<div class="is_<?php echo $dm_btnpst; ?> ebdarkmodebtn ebdarkmode-<?php echo $dm_btnpst; ?>">
	<div class="toggle eb_btnclr ebdarkmode_button_<?php echo $module_id; ?> <?php echo $btn_clr; ?>" id="darkmode_button">
		<img alt="<?php echo JTEXT::_('EBDARKMODE'); ?>" title="<?php echo JTEXT::_('EBDARKMODE'); ?>" src="<?php echo $btn_img; ?>">
	</div>
</div>

<script type="text/javascript">
	jQuery( document ).ready(function() {
		var button_position = "<?php echo $dm_btnpst; ?>";
		var clslng = jQuery('body').find('.is_<?php echo $dm_btnpst; ?>').length;
	    // console.log(clslng);
	    if(clslng != 0){
	    	var sum = 0;
	    	var ssum = 50;
	    	jQuery(function(){
	    		jQuery(".is_<?php echo $dm_btnpst; ?>").each(function(i){
	    			if(i == 0){ sum = sum + 15;
	    			} else { sum += ssum; }
	    			if(button_position == "bottom_left" || button_position == "bottom_right"){
	    				jQuery(this).css('bottom', sum+'px');
	    			}
	    			if(button_position == "top_left" || button_position == "top_right"){
	    				jQuery(this).css('top', sum+'px');
	    			}
	    			if(button_position == "center_left" || button_position == "center_right"){
	    				jQuery(this).css('center', sum+'px');
	    			}

	    		});
	    	});
	    }
	});
	
	jQuery( document ).ready(function() {
		jQuery('.ebdarkmode_button_<?php echo $module_id; ?>').click(function(){
			jQuery(this).toggleClass('active');
			jQuery(this).removeClass('de-active');
			jQuery('body').toggleClass('ebdarkmodecolor');



			if (jQuery('body').hasClass('ebdarkmodecolor')){		

				setCookie("ebdarkmode", "active", 1);	
				jQuery(".about-journey").css({ 'background-color' : '', 'color' : '' });
				jQuery('body').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('header').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('main').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('details').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('article').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('div').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('address').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('section').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('form').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('table').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('textarea').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('input').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('select').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('button').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('fieldset').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('nav').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('dl').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('dt').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('ul').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('footer').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('h1,h2,h3,h4,h5,h6,p,span').css("background-color",'<?php echo $dm_dmclr; ?>');
				jQuery('h1,h2,h3,h4,h5,h6,li,td,th,span,p,div,strong,b,em,small,sub,label,textarea,select,input').css("color",'<?php echo $dm_txtclr; ?>');
				jQuery('a').css("color",'<?php echo $dm_linkclr; ?>');

				jQuery(".nodark").css({ 'background-color' : '', 'color' : '' });
				jQuery('.nodark').find('*').each(function(){
					jQuery(this).css({ 'background-color' : '', 'color' : '' });
				}).find('*').each(function(){
					jQuery(this).css({ 'background-color' : '', 'color' : '' });
				})



			}else{

				setCookie("ebdarkmode", "de-active", 1);
				jQuery(this).toggleClass('de-active');
				jQuery('body').css("background-color",'');
				jQuery('header').css("background-color",'');
				jQuery('main').css("background-color",'');
				jQuery('details').css("background-color",'');
				jQuery('article').css("background-color",'');
				jQuery('div').css("background-color",'');
				jQuery('address').css("background-color",'');
				jQuery('section').css("background-color",'');
				jQuery('form').css("background-color",'');
				jQuery('table').css("background-color",'');
				jQuery('textarea').css("background-color",'');
				jQuery('input').css("background-color",'');
				jQuery('select').css("background-color",'');
				jQuery('button').css("background-color",'');
				jQuery('fieldset').css("background-color",'');
				jQuery('nav').css("background-color",'');
				jQuery('dl').css("background-color",'');
				jQuery('dt').css("background-color",'');
				jQuery('ul').css("background-color",'');
				jQuery('footer').css("background-color",'');
				jQuery('h1,h2,h3,h4,h5,h6,p,span').css("background-color",'');
				jQuery('h1,h2,h3,h4,h5,h6,li,td,th,span,p,div,strong,b,em,small,sub,label,textarea,select,input').css("color",'');
				jQuery('a').css("color",'');
			}	
		})	
	});
	
	function setCookie(cname, cvalue, exdays) {
		var d = new Date();
		d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
		var expires = "expires="+d.toUTCString();
		document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}	
	
</script>
<!--<script>
jQuery( document ).ready(function() {
	var cookie_ebdarkmode = '<?php echo $cookie_ebdarkmode; ?>';
	// alert(cookie_ebdarkmode);
	if(cookie_ebdarkmode == 'active'){
		jQuery('.toggle').toggleClass('active');
		jQuery('body').toggleClass('ebdarkmodecolor');
		jQuery(".about-journey").css({ 'background-color' : '', 'color' : '' });
		jQuery('body').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('header').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('main').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('details').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('article').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('div').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('address').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('section').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('form').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('table').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('textarea').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('input').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('select').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('button').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('fieldset').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('nav').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('dl').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('dt').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('ul').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('footer').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('h1,h2,h3,h4,h5,h6,p,span').css("background-color",'<?php echo $dm_dmclr; ?>');
		jQuery('h1,h2,h3,h4,h5,h6,li,td,th,span,p,div,strong,b,em,small,sub,label,textarea,select,input').css("color",'<?php echo $dm_txtclr; ?>');
		jQuery('a').css("color",'<?php echo $dm_linkclr; ?>');

		jQuery(".nodark").css({ 'background-color' : '', 'color' : '' });
		jQuery('.nodark').find('*').each(function(){
			jQuery(this).css({ 'background-color' : '', 'color' : '' });
		}).find('*').each(function(){
			jQuery(this).css({ 'background-color' : '', 'color' : '' });
		});

	} else if(cookie_ebdarkmode == 'de-active'){
		jQuery('body').css("background-color",'');
		jQuery('header').css("background-color",'');
		jQuery('main').css("background-color",'');
		jQuery('details').css("background-color",'');
		jQuery('article').css("background-color",'');
		jQuery('div').css("background-color",'');
		jQuery('address').css("background-color",'');
		jQuery('section').css("background-color",'');
		jQuery('form').css("background-color",'');
		jQuery('table').css("background-color",'');
		jQuery('textarea').css("background-color",'');
		jQuery('input').css("background-color",'');
		jQuery('select').css("background-color",'');
		jQuery('button').css("background-color",'');
		jQuery('fieldset').css("background-color",'');
		jQuery('nav').css("background-color",'');
		jQuery('dl').css("background-color",'');
		jQuery('dt').css("background-color",'');
		jQuery('ul').css("background-color",'');
		jQuery('footer').css("background-color",'');
		jQuery('h1,h2,h3,h4,h5,h6,p,span').css("background-color",'');
		jQuery('h1,h2,h3,h4,h5,h6,li,td,th,span,p,div,strong,b,em,small,sub,label,textarea,select,input').css("color",'');
		jQuery('a').css("color",'');
	}
	
});	
</script>-->