<?php
defined('_JEXEC') or die;
function modChrome_no($module, &$params, &$attribs)
{
	$app  = JFactory::getApplication();
	$user = JFactory::getUser();
    $isroot = $user->authorise('core.admin');
	
	$deviceis = true;
	$whereshow = $params->get('whereshow', 0);
	if(PlgSystemDeviceSpecificContent::isMobile()) {if ($whereshow==1 or $whereshow==2 or $whereshow==6) {$deviceis = false;}}
	if(PlgSystemDeviceSpecificContent::isTablet()) {if ($whereshow==1 or $whereshow==3 or $whereshow==5) {$deviceis = false;}}
	if(PlgSystemDeviceSpecificContent::isDesktop()) {if ($whereshow==2 or $whereshow==3 or $whereshow==4) {$deviceis = false;}}
	if (!$deviceis) {return false;}
	
	$background = null;
	if ($params->get('bgcolor', null)!=null) {
	    $hex = $params->get("bgcolor", "#ffffff");
		list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
		if ($r != null && $g != null && $b != null) {
		$bgcolor = "rgba(".$r.",".$g.",".$b.",".$params->get("mbgcla", "1").")";
		$background .= 'background-color:'.$bgcolor.';';
		}
		else {$background .= 'background-color:'.$params->get("bgcolor", "#ffffff").';';}
	}
	if ($params->get('bgimage', null)!=null) {
		$background .= "background-image:url('".$params->get("bgimage")."');";
		$background .= "background-repeat:".$params->get("bgimgrpt","norepeat").";";
		$background .= "background-position:".$params->get("bgimgpstn","center center").";";
		$background .= "background-size:".$params->get("bgimgsz","auto auto").";";
		$background .= "background-attachment:".$params->get("bgimgatch","scroll").";";
		}
		
	$modulebody_effect = '';
	$instyle = $params->get('instyle', null);

	if ($params->get('modulebody_effect', 'none') != 'none') {
	$modulebody_delay = $params->get('modulebody_delay', 'delay1');
	$modulebody_duration = $params->get('modulebody_duration', 'duration3');
	$modulebody_activation = $params->get('modulebody_activation', 'eds-on-scroll');
	$modulebody_effect = 'animated '.$modulebody_delay.' '.$modulebody_duration.' '.$modulebody_activation.' '.$params->get('modulebody_effect');
	if ($params->get('modulebodyeffectinfinite', 0) != 0) {$modulebody_effect = $modulebody_effect.' infinite';}
	}

	if ($module->content)
	{
	    $moduledir = $params->get('moduledir', 'rtl');
		if ($params->get('modulenoindex', 'no') != 'no') {echo '<!--googleoff: index-->';}
		if ($params->get('fixh', '') != null) {$fixh = $params->get('fixh', 'fixh1');}
		$posstyle = '';
		if ($params->get('moduleposition', 'relative') != 'relative') {
		    $posstyle = 'position:'.$params->get('moduleposition').';';
		    if ($params->get('module_zindex', '') != null) {$posstyle .= 'z-index:'.$params->get('module_zindex').';';}
		    if ($params->get('moduletop', '') != null) {$posstyle .= 'top:'.$params->get('moduletop').';';}
		    if ($params->get('modulebottom', '') != null) {$posstyle .= 'bottom:'.$params->get('modulebottom').';';}
		    if ($params->get('moduleleft', '') != null) {$posstyle .= 'left:'.$params->get('moduleleft').';';}
		    if ($params->get('moduleright', '') != null) {$posstyle .= 'right:'.$params->get('moduleright').';';}
		    if ($params->get('modulewidth', '') != null) {$posstyle .= 'width:'.$params->get('modulewidth').';';}
		    if ($params->get('moduleheight', '') != null) {$posstyle .= 'height:'.$params->get('moduleheight').';';}
		}
		echo '<style type="text/css">.mod'.$module->id.' {'.$posstyle.'}.mod'.$module->id.' a {color:'.$params->get('mlnkcolor', '#0000ff').';}.mod'.$module->id.' li:hover a, .mod'.$module->id.' a:hover {color:'.$params->get('mlnkhcolor', '#2a4c67').';}.mod'.$module->id.' a.btn {color:'.$params->get('mblnkcolor', '#0000ff').';}.mod'.$module->id.' li:hover a.btn, .mod'.$module->id.' a.btn:hover {color:'.$params->get('mblnkhcolor', '#2a4c67').';}</style>';
		echo '<div dir="'.$moduledir.'" class="mod'.$module->id.' module-body '.$modulebody_effect.' '.$fixh.'" style="'.$background.' '.$instyle.'">'.$module->content;
			if ($isroot) {
			    echo '<div class="modinfo" id="mod'.$module->id.'icon">{tip mode="click" content="';
			    echo '<div id="mod'.$module->id.'info">';
			    echo JText::_('MODULE_QUICK_HELP');
			    echo '<br />';
			    echo JText::_('MODULE_TITLE').$module->title;
			    echo '<br />';
			    echo JText::_('MODULE_ID').$module->id;
			    echo '<br />';
			    echo JText::_('MODULE_POSITION').$module->position;
			    echo '<br />';
			    echo JText::_('MODULE_TYPE').$module->module;
			    echo '</div>';
			    
			    echo '"}<i class="fa fa-life-ring"></i>{/tip}</div>';
			}
			echo '</div>';
		if ($params->get('modulenoindex', 'no') != 'no') {echo '<!--googleon: index-->';}
	}
}

function modChrome_well($module, &$params, &$attribs)
{
	$app  = JFactory::getApplication();
	$user = JFactory::getUser();
    $isroot = $user->authorise('core.admin');
	
	$deviceis = true;
	$whereshow = $params->get('whereshow', 0);
	if(PlgSystemDeviceSpecificContent::isMobile()) {if ($whereshow==1 or $whereshow==2 or $whereshow==6) {$deviceis = false;}}
	if(PlgSystemDeviceSpecificContent::isTablet()) {if ($whereshow==1 or $whereshow==3 or $whereshow==5) {$deviceis = false;}}
	if(PlgSystemDeviceSpecificContent::isDesktop()) {if ($whereshow==2 or $whereshow==3 or $whereshow==4) {$deviceis = false;}}
	if (!$deviceis) {return false;}

	$background = null;
	if ($params->get('bgcolor', null)!=null) {
	    $hex = $params->get("bgcolor", "#ffffff");
		list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
		if ($r != null && $g != null && $b != null) {
		$bgcolor = "rgba(".$r.",".$g.",".$b.",".$params->get("mbgcla", "1").")";
		$background .= 'background-color:'.$bgcolor.';';
		}
		else {$background .= 'background-color:'.$params->get("bgcolor", "#ffffff").';';}
	}
	if ($params->get('bgimage', null)!=null) {
		$background .= "background-image:url('".$params->get("bgimage")."');";
		$background .= "background-repeat:".$params->get("bgimgrpt","norepeat").";";
		$background .= "background-position:".$params->get("bgimgpstn","center center").";";
		$background .= "background-size:".$params->get("bgimgsz","auto auto").";";
		$background .= "background-attachment:".$params->get("bgimgatch","scroll").";";
		}
		
	$module_effect = $moduletitle_effect = $modulebody_effect = '';
	$instyle = $params->get('instyle', null);
	
	if ($params->get('module_effect', 'none') != 'none') {
	$module_delay = $params->get('module_delay', 'delay1');
	$module_duration = $params->get('module_duration', 'duration3');
	$module_activation = $params->get('module_activation', 'eds-on-scroll');
	$module_effect = 'animated '.$module_delay.' '.$module_duration.' '.$module_activation.' '.$params->get('module_effect');
	if ($params->get('moduleeffectinfinite', 0) != 0) {$module_effect = $module_effect.' infinite';}
	}

	if ($params->get('moduletitle_effect', 'none') != 'none') {
	$moduletitle_delay = $params->get('moduletitle_delay', 'delay1');
	$moduletitle_duration = $params->get('moduletitle_duration', 'duration3');
	$moduletitle_activation = $params->get('moduletitle_activation', 'eds-on-scroll');
	$moduletitle_effect = 'animated '.$moduletitle_delay.' '.$moduletitle_duration.' '.$moduletitle_activation.' '.$params->get('moduletitle_effect');
	if ($params->get('moduletitleeffectinfinite', 0) != 0) {$moduletitle_effect = $moduletitle_effect.' infinite';}
	}

	if ($params->get('modulebody_effect', 'none') != 'none') {
	$modulebody_delay = $params->get('modulebody_delay', 'delay1');
	$modulebody_duration = $params->get('modulebody_duration', 'duration3');
	$modulebody_activation = $params->get('modulebody_activation', 'eds-on-scroll');
	$modulebody_effect = 'animated '.$modulebody_delay.' '.$modulebody_duration.' '.$modulebody_activation.' '.$params->get('modulebody_effect');
	if ($params->get('modulebodyeffectinfinite', 0) != 0) {$modulebody_effect = $modulebody_effect.' infinite';}
	}

	$moduleTag     = htmlspecialchars($params->get('module_tag', 'div'), ENT_QUOTES, 'UTF-8');
	//S63$bootstrapSize = (int) $params->get('bootstrap_size', 0);
	//S63$moduleClass   = $bootstrapSize !== 0 ? ' span' . $bootstrapSize : '';
	$moduleClass = '';
	$headerTag     = htmlspecialchars($params->get('header_tag', 'h3'), ENT_QUOTES, 'UTF-8');
	$headerClass   = htmlspecialchars($params->get('header_class', 'page-header'), ENT_COMPAT, 'UTF-8');
	?>

	<?php if ($module->content) : ?>
		<?php if ($params->get('modulenoindex', 'no') != 'no') : ?><!--googleoff: index--><?php endif; ?>
		<?php
		$moduledir = $params->get('moduledir', 'rtl');
		if ($params->get('fixh', '') != null) {$fixh = $params->get('fixh', 'fixh1');}
		$posstyle = '';
		if ($params->get('moduleposition', 'relative') != 'relative') {
		    $posstyle = 'position:'.$params->get('moduleposition').';';
		    if ($params->get('module_zindex', '') != null) {$posstyle .= 'z-index:'.$params->get('module_zindex').';';}
		    if ($params->get('moduletop', '') != null) {$posstyle .= 'top:'.$params->get('moduletop').';';}
		    if ($params->get('modulebottom', '') != null) {$posstyle .= 'bottom:'.$params->get('modulebottom').';';}
		    if ($params->get('moduleleft', '') != null) {$posstyle .= 'left:'.$params->get('moduleleft').';';}
		    if ($params->get('moduleright', '') != null) {$posstyle .= 'right:'.$params->get('moduleright').';';}
		    if ($params->get('modulewidth', '') != null) {$posstyle .= 'width:'.$params->get('modulewidth').';';}
		    if ($params->get('moduleheight', '') != null) {$posstyle .= 'height:'.$params->get('moduleheight').';';}
		}
        echo '<style type="text/css">.mod'.$module->id.' {'.$posstyle.'}.mod'.$module->id.' a {color:'.$params->get('mlnkcolor', '#0000ff').';}.mod'.$module->id.' li:hover a, .mod'.$module->id.' a:hover {color:'.$params->get('mlnkhcolor', '#2a4c67').';}.mod'.$module->id.' a.btn {color:'.$params->get('mblnkcolor', '#0000ff').';}.mod'.$module->id.' li:hover a.btn, .mod'.$module->id.' a.btn:hover {color:'.$params->get('mblnkhcolor', '#2a4c67').';}</style>';
        
		echo '<' . $moduleTag . ' dir="'.$moduledir.'" class="mod'.$module->id.' well '.$module_effect.' '.$fixh.' '.htmlspecialchars($params->get('moduleclass_sfx'), ENT_COMPAT, 'UTF-8') . $moduleClass . '" style="'.$background.' '.$instyle.'">';

			if ($module->showtitle)
			{
			    $headerstyle = null;
			    if ($params->get('mtitlecolor', '#000000')!=null) {$headerstyle .= "color:".$params->get("mtitlecolor","#000000").";";}
			    $hex = $params->get("mtitlebgcolor", "#eeeeee");
                list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
                if ($r != null && $g != null && $b != null) {
                $mtitlebgcolor = "rgba(".$r.",".$g.",".$b.",".$params->get("mtitlebgcolora", "1").")";
                $headerstyle .= 'background-color:'.$mtitlebgcolor.';';
                }
                else {
                if ($params->get('mtitlebgcolor', '#eeeeee')!=null) {$headerstyle .= "background-color:".$params->get("mtitlebgcolor","#eeeeee").";";}
                }
			    if ($params->get('mtitleff', 'IRANSans')!=null) {$headerstyle .= "font-family:".$params->get("mtitleff","IRANSans").";";}
			    if ($params->get('mtitleta', 'right')!=null) {$headerstyle .= "text-align:".$params->get("mtitleta","center").";";}
			    
			    if ($params->get('mtmw', '')!=null) {$headerstyle .= "max-width:".$params->get("mtmw","").";";}
			    
			    if ($params->get('mtstyle', '')!=null) {$headerstyle .= $params->get("mtstyle","").";";}
			    
		        $mrgn = explode('|',$params->get("mtmargin", "0px|0px|0px|0px"));
                if ($mrgn[0]) {$mrgnt = $mrgn[0];} else {$mrgnt = "0px";}
                if ($mrgn[1]) {$mrgnr = $mrgn[1];} else {$mrgnr = $mrgnt;}
                if ($mrgn[2]) {$mrgnb = $mrgn[2];} else {$mrgnb = $mrgnt;}
                if ($mrgn[3]) {$mrgnl = $mrgn[3];} else {$mrgnl = $mrgnr;}
                $pdng = explode('|',$params->get("mtpadding", "8px|5px|8px|5px"));
                if ($pdng[0]) {$pdngt = $pdng[0];} else {$pdngt = "5px";}
                if ($pdng[1]) {$pdngr = $pdng[1];} else {$pdngr = $pdngt;}
                if ($pdng[2]) {$pdngb = $pdng[2];} else {$pdngb = $pdngt;}
                if ($pdng[3]) {$pdngl = $pdng[3];} else {$pdngl = $pdngr;}
			    
			    $headerstyle .= "margin:".$mrgnt." ".$mrgnr." ".$mrgnb." ".$mrgnl.";";
			    $headerstyle .= "padding:".$pdngt." ".$pdngr." ".$pdngb." ".$pdngl.";";
			    
			    $brrds = explode('|',$params->get("mtbr", "0px|0px|0px|0px"));
                if ($brrds[0]) {$brrdstl = $brrds[0];} else {$brrdstl = "0px";}
                if ($brrds[1]) {$brrdstr = $brrds[1];} else {$brrdstr = $brrdstl;}
                if ($brrds[2]) {$brrdsbr = $brrds[2];} else {$brrdsbr = $brrdstl;}
                if ($brrds[3]) {$brrdsbl = $brrds[3];} else {$brrdsbl = $brrdstr;}
			    
			    $headerstyle .= 'border-radius:'.$brrdstl.' '.$brrdstr.' '.$brrdsbr.' '.$brrdsbl.';';
		        $mtbp = $params->get("mtbp", "all");
		        if ($mtbp == "all") {
		       	$headerstyle .= '
		        border:'.$params->get("mtbw", "0px").' '.$params->get("mtbt", "solid").' '.$params->get("mtbc", "#ffffff").';
		        ';
		        }
		        elseif ($mtbp == "tb" or $mtbp == "lr") {
		        	if ($mtbp = "tb") {
		       	$headerstyle .= '
		        border-top:'.$params->get("mtbw", "0px").' '.$params->get("mtbt", "solid").' '.$params->get("mtbc", "#ffffff").';
		        border-bottom:'.$params->get("mtbw", "0px").' '.$params->get("mtbt", "solid").' '.$params->get("mtbc", "#ffffff").';
		        ';
		        	} else {
		       	$headerstyle .= '
		        border-left:'.$params->get("mtbw", "0px").' '.$params->get("mtbt", "solid").' '.$params->get("mtbc", "#ffffff").';
		        border-right:'.$params->get("mtbw", "0px").' '.$params->get("mtbt", "solid").' '.$params->get("mtbc", "#ffffff").';
		        ';
		        	}
		        }
		        else {
		       	$headerstyle .= '
		        border-'.$mtbp.':'.$params->get("mtbw", "0px").' '.$params->get("mtbt", "solid").' '.$params->get("mtbc", "#ffffff").';
		        ';
		        }
				echo '<'.$headerTag.' class="autodir mtitle '.$moduletitle_effect.' '.$headerClass.'" style="'.$headerstyle.'">';
				
				
				if ($params->get('mtitlefz', '16px|14px|12px')!=null) {
					$headerfz = explode('|',$params->get("mtitlefz", "16px"));
					$dfz = $headerfz[0].";";
					$headerfz = explode('|',$params->get("mtitlefz", "14px"));
					$tfz = $headerfz[1].";";
					$headerfz = explode('|',$params->get("mtitlefz", "12px"));
					$mfz = $headerfz[2].";";
				}
				echo '<style type="text/css">
						@media (max-width: 767px) {
							.mod'.$module->id.' .mtitle {font-size:'.$mfz.';}
						}
						@media (min-width: 768px) and (max-width: 991px) {
							.mod'.$module->id.' .mtitle {font-size:'.$tfz.';}
						}
						@media (min-width: 992px) {
							.mod'.$module->id.' .mtitle {font-size:'.$dfz.';}
						}
						</style>';
				
				
				
		?>
<?php  ?>
<?php } ?>

	<?php if ($module->showtitle) {
				
			$module_fonticon = $params->get('module_fonticon');$module_fonticonsize = $params->get('module_fonticonsize');
			if ($module_fonticon != null) {
			$module_fonticon = explode('/', $module_fonticon);
			$module_fonticon = end($module_fonticon);
			$module_fonticon = explode('.', $module_fonticon);
			$module_fonticon = $module_fonticon[0];
			if ($module_fonticon == null) {$module_fonticon = 'fa-server';}
			echo '<i style="vertical-align:middle;font-size:'.$module_fonticonsize.'" class="fa '.$module_fonticon.'"></i> ';}
			$module_icon = $params->get('module_icon');$module_iconsize = $params->get('module_iconsize');
			if ($module_icon != null) {
			echo '<img alt="'.$module->title.'" title="'.$module->title.'" src="'.$module_icon.'" width="'.$module_iconsize.'" height="'.$module_iconsize.'" />';
			}
				echo $module->title.'</'.$headerTag.'>';
			}
			
			$bodystyle = '';
			$hex = $params->get("mbbgcolor", "transparent");
			list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
			if ($r != null && $g != null && $b != null) {$mbbgcolor = "rgba(".$r.",".$g.",".$b.",".$params->get("mbbgcla", "1").")";
			$bodystyle .= 'background-color:'.$mbbgcolor.';';}
			else {$bodystyle .= 'background-color:'.$params->get("mbbgcolor", "transparent").';';}
			
			
			if($params->get("mbbgimage", null) != null) {$bodystyle .= '
				background-image:url("'.JURI::base().$params->get("mbbgimage").'");
				background-repeat:'.$params->get("mbbgimgrpt", "repeat").';
				background-position:'.$params->get("mbbgimgpstn", "center center").';
				background-size:'.$params->get("mbbgimgsz", "auto auto").';
				background-attachment:'.$params->get("mbbgimgatch", "scroll").';
			';}
			
			
			if ($params->get('mbcolor', '#000000')!=null) {$bodystyle .= "color:".$params->get("mbcolor","#000000").";";}
			if ($params->get('mbodyff', 'IRANSans')!=null) {$bodystyle .= "font-family:".$params->get("mbodyff","IRANSans").";";}
			if ($params->get('mbodyfz', '14px')!=null) {$bodystyle .= "font-size:".$params->get("mbodyfz","14px").";";}
			if ($params->get('mbodyta', 'right')!=null) {$bodystyle .= "text-align:".$params->get("mbodyta","right").";";}
			if ($params->get('mbodylheight', 'inherit')!=null) {$bodystyle .= "line-height:".$params->get("mbodylheight","inherit").";";}
			
			
			$mbbp = $params->get("mbbp", "all");
			if ($mbbp == "all") {$bodystyle .= 'border:'.$params->get("mbbw", "0px").' '.$params->get("mbbt", "solid").' '.$params->get("mbbc", "#eeeeee").';';}
			elseif ($mbbp == "tb" or $mbbp == "lr") {if ($mbbp == "tb") {
			$bodystyle .= '
			border-top:'.$params->get("mbbw", "0px").' '.$params->get("mbbt", "solid").' '.$params->get("mbbc", "#eeeeee").';
			border-bottom:'.$params->get("mbbw", "0px").' '.$params->get("mbbt", "solid").' '.$params->get("mbbc", "#eeeeee").';
			';} else {$bodystyle .= '
			border-left:'.$params->get("mbbw", "0px").' '.$params->get("mbbt", "solid").' '.$params->get("mbbc", "#eeeeee").';
			border-right:'.$params->get("mbbw", "0px").' '.$params->get("mbbt", "solid").' '.$params->get("mbbc", "#eeeeee").';
			';}} else {$bodystyle .= 'border-'.$mbbp.':'.$params->get("mbbw", "0px").' '.$params->get("mbbt", "solid").' '.$params->get("mbbc", "#eeeeee").';';}
			

			$mrgn = explode('|',$params->get("mbmargin", "0px|0px|0px|0px"));
                if ($mrgn[0]) {$mrgnt = $mrgn[0];} else {$mrgnt = "0px";}
                if ($mrgn[1]) {$mrgnr = $mrgn[1];} else {$mrgnr = $mrgnt;}
                if ($mrgn[2]) {$mrgnb = $mrgn[2];} else {$mrgnb = $mrgnt;}
                if ($mrgn[3]) {$mrgnl = $mrgn[3];} else {$mrgnl = $mrgnr;}
            $pdng = explode('|',$params->get("mbpadding", "0px|0px|0px|0px"));
                if ($pdng[0]) {$pdngt = $pdng[0];} else {$pdngt = "0px";}
                if ($pdng[1]) {$pdngr = $pdng[1];} else {$pdngr = $pdngt;}
                if ($pdng[2]) {$pdngb = $pdng[2];} else {$pdngb = $pdngt;}
                if ($pdng[3]) {$pdngl = $pdng[3];} else {$pdngl = $pdngr;}
			    
			$bodystyle .= "margin:".$mrgnt." ".$mrgnr." ".$mrgnb." ".$mrgnl.";";
			$bodystyle .= "padding:".$pdngt." ".$pdngr." ".$pdngb." ".$pdngl.";";
			
			$brrds = explode('|',$params->get("mbbr", "0px|0px|0px|0px"));
			if ($brrds[0]) {$brrdstl = $brrds[0];} else {$brrdstl = "0px";}
			if ($brrds[1]) {$brrdstr = $brrds[1];} else {$brrdstr = $brrdstl;}
			if ($brrds[2]) {$brrdsbr = $brrds[2];} else {$brrdsbr = $brrdstl;}
			if ($brrds[3]) {$brrdsbl = $brrds[3];} else {$brrdsbl = $brrdstr;}
			$bodystyle .='
			border-radius:'.$brrdstl.' '.$brrdstr.' '.$brrdsbr.' '.$brrdsbl.';
			';

			echo '<div class="module-body '.$modulebody_effect.'" style="'.$bodystyle.'">'.$module->content;
			if ($isroot) {
			    echo '<div class="modinfo" id="mod'.$module->id.'icon">{tip mode="click" content="';
			    echo '<div id="mod'.$module->id.'info">';
			    echo JText::_('MODULE_QUICK_HELP');
			    echo '<br />';
			    echo JText::_('MODULE_TITLE').$module->title;
			    echo '<br />';
			    echo JText::_('MODULE_ID').$module->id;
			    echo '<br />';
			    echo JText::_('MODULE_POSITION').$module->position;
			    echo '<br />';
			    echo JText::_('MODULE_TYPE').$module->module;
			    echo '</div>';
			    
			    echo '"}<i class="fa fa-life-ring"></i>{/tip}</div>';
			}
			echo '</div>';
			echo '</'.$moduleTag.'>';
	?>
	<?php if ($params->get('modulenoindex', 'no') != 'no') : ?><!--googleon: index--><?php endif; ?>
	<?php endif; ?>
<?php
}
?>