<?php
/**
 * --------------------------------------------------------------------------------
 * Apps Plugin - order files
 * --------------------------------------------------------------------------------
 * @package     Joomla 3.x
 * @subpackage  J2 Store
 * @author      Alagesan, J2Store <support@j2store.org>
 * @copyright   Copyright (c) 2016 J2Store . All rights reserved.
 * @license     GNU/GPL license: http://www.gnu.org/licenses/gpl-2.0.html
 * @link        http://j2store.org
 * --------------------------------------------------------------------------------
 *
 * */
//S63 1 line changed from media/j2store/uploads to attachments/store
?>
<td>
    <?php if($vars->upload_files):?>
        <table class="table table-striped table-bordered">
            <tr>
                <th><?php echo JText::_('J2STORE_APP_ORDERFILES_FILE_NAME');?></th>
                <th><?php echo JText::_('J2STORE_APP_ORDERFILES_FILE_PATH');?></th>
            </tr>
            <?php foreach($vars->upload_files as $file):?>
                <tr>
                    <td><?php echo $file->original_name;?></td>
                    <td><a href="<?php echo JUri::root();?>attachments/store/<?php echo $file->saved_name;?>" class="btn btn-primary" download><?php echo JText::_('J2STORE_DOWNLOAD')?></a></td>
                    <td><a href="#" onclick="deleteSingle('<?php echo $file->j2store_upload_id;?>','<?php echo $vars->order_id;?>')" class="btn btn-danger"><?php echo JText::_('J2STORE_DELETE');?></a></td>
                </tr>
            <?php endforeach;?>
        </table>
    <?php endif; ?>
</td>
<?php
if(isset($vars->view_order) && $vars->view_order){
    ?>
    <script>
        if(typeof(j2store) == 'undefined') {
            var j2store = {};
        }
        if(typeof(j2store.jQuery) == 'undefined') {
            j2store.jQuery = jQuery.noConflict();
        }

        function deleteSingle(upload_id,order_id){
            (function ($) {
                $.ajax({
                    type : 'post',
                    url :  j2storeURL+'index.php?option=com_j2store&view=apps&task=view&id=<?php echo $vars->id;?>&appTask=singleDelete&from=<?php echo $vars->view_order;?>',
                    data : 'upload_id=' + upload_id + '&order_id='+order_id+'&id=<?php echo $vars->id;?>',
                    dataType : 'json',
                    success : function(data) {
                        if(data.redirect) {
                            window.location = data.redirect;
                        }
                    }
                });
            })(j2store.jQuery);
        }
    </script>
    <?php
}
